### Enumeration

# Ide BufferOpenFlags

#### Declaration

    flags Ide.BufferOpenFlags

#### Description

The `IdeBufferOpenFlags` enumeration is used to specify how a document should be opened by the workbench. Plugins may want to have a bit of control over where the document is opened, and this provides a some control over that.

Available since: | 3.32

#### Members

Name | Description
--- | ---
`IDE_BUFFER_OPEN_FLAGS_NONE` | No special processing will be performed.
`IDE_BUFFER_OPEN_FLAGS_BACKGROUND` | Open the document in the background (behind current view)
`IDE_BUFFER_OPEN_FLAGS_NO_VIEW` | Open the document but do not create a new view for it.
`IDE_BUFFER_OPEN_FLAGS_FORCE_RELOAD` | No description available.
`IDE_BUFFER_OPEN_FLAGS_DISABLE_ADDINS` | Disables any buffer addin for this buffer.